# see https://blog.ediri.io/kube-prometheus-stack-and-argocd-23-how-to-remove-a-workaround
local app = import "../../_templates/argocd_app.libsonnet";

local vars = {
	"version": "34.10.0",
	"namespace": "metrics"
};

[
app + {
  name:: "prometheus-crds",
  namespace:: vars.namespace,
  path:: "charts/kube-prometheus-stack/crds/",
  repo:: "https://github.com/prometheus-community/helm-charts.git",
  version:: "kube-prometheus-stack-" + vars.version,
  syncOptions:: ["CreateNamespace=true", "Replace=true"],
  sync_wave:: -1,
},
app + {
  name:: "prometheus-grafana",
  namespace: vars.namespace,
  chart:: "kube-prometheus-stack",
  repo:: "https://prometheus-community.github.io/helm-charts",
  version:: vars.version,
  skipCrds:: true,
  values:: |||
    fullnameOverride: prometheus-stack
    kubeProxy:
      enabled: false
    kubeScheduler:
      enabled: false
    kubeControllerManager:
      enabled: false
    alertmanager:
      config:
        global:
          resolve_timeout: 5m
        route:
          group_by: ['alertname', 'cluster']
          group_wait: 30s
          group_interval: 5m
          repeat_interval: 12h
          receiver: 'pushover'
          routes:
            - receiver: 'null'
              matchers:
                - alertname="Watchdog"
            - receiver: 'null'
              matchers:
                - alertname="InfoInhibitor"
        receivers:
          - name: 'null'
          - name: 'pushover'
            pushover_configs:
              - user_key: x9PipXt1zGOU31OJH9Osv18BFrlRhw
                token: aqvce1uukerhxhayxdq85wgtdh2c5r
    prometheus:
      prometheusSpec:
        storageSpec:
          volumeClaimTemplate:
            spec:
              accessModes: ["ReadWriteOnce"]
              resources:
                requests:
                  storage: 10Gi
  |||
}
]
